{
  "apiVersion": 3,
  "name": "wpuf-ud/button",
  "title": "Profile Button",
  "category": "wpuf-ud",
  "description": "Button that automatically links to user profile. Need to use inside User Profile block.",
  "supports": {
    "html": false,
    "anchor": true,
    "color": {
      "background": true,
      "text": true,
      "gradients": true,
      "__experimentalDefaultControls": {
        "background": true,
        "text": true
      }
    },
    "spacing": {
      "margin": true,
      "padding": true
    },
    "typography": {
      "fontSize": true,
      "lineHeight": true,
      "__experimentalFontFamily": true,
      "__experimentalFontStyle": true,
      "__experimentalFontWeight": true,
      "__experimentalLetterSpacing": true,
      "__experimentalTextTransform": true,
      "__experimentalTextDecoration": true
    },
    "__experimentalBorder": {
      "color": true,
      "radius": true,
      "style": true,
      "width": true,
      "__experimentalDefaultControls": {
        "color": true,
        "radius": true,
        "style": true,
        "width": true
      }
    }
  },
  	"usesContext": [ "wpuf-ud/userObject" ],
  "attributes": {
    "buttonText": {
      "type": "string",
      "default": "View Profile"
    },
    "linkTarget": {
      "type": "string",
      "default": "_self"
    },
    "rel": {
      "type": "string",
      "default": ""
    }
  },
  "textdomain": "wpuf-pro"
}
